+++
title = 'Basic configuration'
show_toc = true
weight = 20
+++

{{< warning >}}
Page under construction.
{{< /warning >}}

Still a bit boring, but let's add some more information about your webcomic into `hugo.toml`!

Except for the title, all of them are optional.

Be sure that you are currently [running the hugo server]({{% relref "tutorials/getting-started/site-creation" %}}#starting-your-site)!

<!--more-->


## Title

First, let's fix your site's title by changing `title = 'My New Hugo Site'` with
`title = 'Silicate Pepper & Carrot Demo'` -- or your own title -- then save.

Now, two things should happen if Hugo is still running :

- Some new lines should appear in your terminal, they should look like this :

```
Change of config file detected, rebuilding site (#2).
2025-05-14 13:43:16.453 +0200
Web Server is available at http://localhost:1313/ (bind address 127.0.0.1)
Total in 11 ms
```

- If your broswer is still open, then the page should have automatically reloaded and the title should be fixed!

{{< warning >}}
Screenshot will be added soon.
{{< /warning >}}

That is because when Hugo is running, it automatically checks for changes in your files, and when it finds some, it
updates the website in your browser.

That is what the `Watching for changes in [...]` and
`Watching for config changes in [...]` lines meant when you ran `hugo server`.

Sometimes, the auto-reloading will fail and you will get `[ERROR]: ...` messages and Hugo
won't be able to work again on its own. If that happens, try to stop the server by typing
`ctrl`-`c` in the terminal then running again the `./hugo server` command.

If that doesn't work, then you may have to check your configuration files.
Hugo should display a message telling you what it thinks it wrong.


## Copyright

As you may have seen, Silicate puts a default copyright on your website:

`Copyright 2025. All rights reserved.`

You may want to change that. Here, since we're doing a demo from Pepper & Carrot's, let's put a proper attribution.
Once again, it's a new line inside `hugo.toml` : `copyright = 'Demo based on Pepper & Carrot - CC-By www.peppercarrot.com'`.

It will be both shown on the website and in RSS feeds.

{{< warning >}}
Screenshot will be added soon.
{{< /warning >}}


## Author info

This setting is only used in the RSS feeds.

This time, we need to add [*tables*](https://toml.io/en/v1.0.0#table) inside `hugo.toml`.
Add the following lines, using your own info:

```
[params]
  [params.author]
    email = 'jdoe@example.org'
    name = 'John Doe'
```

`[params]` is the table where most configurations for hugo will be placed.

`[params.author]` is a sub-table table inside `[params]`.


## Base URL

The base URL is the URL where your website will be available online -- where people will be able to access it.
For example, if you rent `www.my-webcomic.com`, then your base URL will most likely be `https://www.my-webcomic.com/`.

In the case of Silicate, one of the demo uses `https://silicate.aribaud.net/demos/pepper-carrot/`, so we
can change the value of `baseURL` in `hugo.toml` like this: `baseURL = 'https://silicate.aribaud.net/demos/pepper-carrot/'`.


## Recap

Your `hugo.toml` file should now look like this :

```
title = 'Silicate Pepper & Carrot Demo'
baseURL = 'https://silicate.aribaud.net/demos/pepper-carrot/'
theme = 'silicate'
copyright = 'Demo based on Pepper & Carrot - CC-By www.peppercarrot.com'

[params]
  [params.author]
    email = 'jdoe@example.org'
    name = 'John Doe'
```
